Subject: Re: [PATCH] NET: Multiqueue network device support.

From: jamal <[email-masked]>
Date: Thu, 07 Jun 2007 21:35:36 -0400

On Thu, 2007-07-06 at 17:31 -0700, Sridhar Samudrala wrote:

> If the QDISC_RUNNING flag guarantees that only one CPU can call
> dev->hard_start_xmit(), then why do we need to hold netif_tx_lock
> for non-LLTX drivers?

I havent stared at other drivers, but for e1000 seems to me 
even if you got rid of LLTX that netif_tx_lock is unnecessary.
Herbert?

cheers,
jamal